Hot News:

Unser Angebot:

  Foren auf CAD.de (alle Foren)
  Excel
  Zeichnungen aus einer Zeichnungslist über Excel VBA öffnen

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Zeichnungen aus einer Zeichnungslist über Excel VBA öffnen (2272 mal gelesen)
KAME
Mitglied
techn. Angestellter


Sehen Sie sich das Profil von KAME an!   Senden Sie eine Private Message an KAME  Schreiben Sie einen Gästebucheintrag für KAME

Beiträge: 152
Registriert: 21.06.2006

erstellt am: 20. Feb. 2013 16:15    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hi Leute,

bin gerade echt am verzweifeln, da ich von VBA kaum ahnung hab.

Ich habe eine Zeichnungsverzeichnis mit ca. 2000 Zeichnungen.
In diesem Zeichnungsverzeichnis stehen alle ZeichnungsDATEInamen (in mehreren zellen verteilt) diese hab ich in einer Zelle vereint -> bsp. "C:\....\WXYZ.dwg" steht in der zusammengefassten zelle bei jeder zeichnnung

jetzt soll ich die Zeichnungsnamen auslesen zb. "Bühne" (Titleblockattribute)

wie schaff ich es "eine zeichnung nach" besser "einen markierten bereich" der anderen zu öffnen und den befehl auszuführn

Code:
Public Graphics As AcadApplication
Public Sub OpnAcad()

On Error Resume Next
'Dim tAcadApp As AcadApplication
Dim tAcadApp As Object
Set tAcadApp = GetObject(, "AutoCAD.Application") 'verbindet sich mit AutoCAD, wenn dieses schon laeuft
If tAcadApp Is Nothing Then
  'dann laeuft noch keine AutoCAD-Session ==> also eine starten
  Set tAcadApp = CreateObject("AutoCAD.Application")
End If
If tAcadApp Is Nothing Then
  'dann Fehlermeldung ausgeben, AutoCAD kann nicht gestartet werden
Else
  tAcadApp.Visible = True
  '..... Dein Code, jetzt hast Du AutoCAD in der Hand


    Dim AngBracDwg As String
    Set Graphics = GetObject(, "AutoCAD.Application")
    If Err.Description > vbNullString Then
        Err.Clear
        Set Graphics = CreateObject("AutoCAD.Application")
    End If
  '-----------------------------------------------------------<-- bis hierher funktioniert schon mal
       
    AngBracDwg = (ActiveCell.txt) <-- hier bin ich total überfordert
    'AngBracDwg = "D:\EXCEL VBA TEST\C_ZUW0_WH_24_267B00-M0059_DLZ001_02.dwg" '<-- das funktioniert auch
   
    Graphics.Documents.Open (AngBraxDwg)
   
    'hier sollen dann meine ACAD-befehl noch rein aber dazu später
   
    ' Graphics.Documents.Close '<-- funktioniert auch wenn aktiv
     
End If

End Sub


kann mir bitte jemand helfen
danke im voraus


------------------
mfg Ronald

------------------
mfg Ronald

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

RSchulz
Ehrenmitglied V.I.P. h.c.
Teamleader IT-CAD



Sehen Sie sich das Profil von RSchulz an!   Senden Sie eine Private Message an RSchulz  Schreiben Sie einen Gästebucheintrag für RSchulz

Beiträge: 5494
Registriert: 12.04.2007

@Work
Lenovo P510
Xeon E5-1630v4
64GB DDR4
Quadro P2000
256GB PCIe SSD
512GB SSD
SmarTeam V5-6 R2016 Sp04
CATIA V5-6 R2016 Sp05
E3.Series
Altium Nexus 18
Win 10 Pro x64

erstellt am: 20. Feb. 2013 17:14    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für KAME 10 Unities + Antwort hilfreich

Hi Ronald,

versuch es mal mit folgendem Codeschnipsel...

Code:

...       
for i = 1 to Selection.count
    AngBracDwg = Selection.Item(i).text
    Graphics.Documents.Open (AngBraxDwg)
    ...
    'hier sollen dann meine ACAD-befehl noch rein aber dazu später
    ...
    Graphics.Documents.Close
next
...

 

------------------
MFG
Rick Schulz

Nettiquette (CAD.de)  -  Was ist die Systeminfo?  -  Wie man Fragen richtig stellt.  -  Unities

[Diese Nachricht wurde von RSchulz am 20. Feb. 2013 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

KAME
Mitglied
techn. Angestellter


Sehen Sie sich das Profil von KAME an!   Senden Sie eine Private Message an KAME  Schreiben Sie einen Gästebucheintrag für KAME

Beiträge: 152
Registriert: 21.06.2006

erstellt am: 21. Feb. 2013 14:07    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Rick,

funktioniert Super
lässt sogar lehre bzw. falsche dateinahmen aus

------------------
mfg Ronald

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

KAME
Mitglied
techn. Angestellter


Sehen Sie sich das Profil von KAME an!   Senden Sie eine Private Message an KAME  Schreiben Sie einen Gästebucheintrag für KAME

Beiträge: 152
Registriert: 21.06.2006

erstellt am: 26. Feb. 2013 08:45    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities


TESTZVZ.zip

 
Hallo Rick,

Die Zeichnungen bring ich ja scho auf
aber ich habe jetzt keine ahnung wie ich meine blöcke auslesen bzw. beschreiben kann
Ich kenne die Blocknamen die ich ansprechen will und ich kenne die anzahl an attributen
doch wie kann ich diese abrufen bzw. beschreiben lassen - vor allem in der zeile in der die zeichnung steht

Bitte um hilfe
Danke im Voraus
------------------
mfg Ronald

[Diese Nachricht wurde von KAME am 26. Feb. 2013 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2020 CAD.de | Impressum | Datenschutz